---
title: Getting Started - Pick a Quasar Flavour
---

**If you'd like to learn more about what Quasar can do for you**, read the [Introduction to Quasar](/introduction-to-quasar). Otherwise, let's get started by choosing how you'd like to use Quasar.

There are three ways of using Quasar. Pick the one that suits you best:

- [UMD/Standalone](/start/umd) (embed into an existing project through CDN, progressive integration)
- [Quasar CLI](/start/quasar-cli) (**the premium developer experience for free, recommended**)
- [Vue CLI 3 plugin](/start/vue-cli-plugin)

Here's a quick comparison:

| Feature                                                                                    | UMD     | Quasar CLI | Vue CLI 3 Plugin              |
| ------------------------------------------------------------------------------------------ | ------- | ---------- | ----------------------------- |
| Ability to embed into an existing project                                                  | **Yes** | -          | **Yes, if it is Vue CLI app** |
| Progressive integration of Quasar                                                          | **Yes** | -          | -                             |
| Ability to serve Quasar from CDN                                                           | **Yes** | -          | -                             |
| Build SPA, PWA                                                                             | **Yes** | **Yes**    | **Yes**                       |
| Build SSR (+ optional PWA client takeover)                                                 | -       | **Yes**    | Yes*                     |
| Build Mobile Apps, Electron Apps                                                           | **Yes** | **Yes**    | Yes*                     |
| Dynamic RTL support for Quasar components                                                  | **Yes** | **Yes**    | **Yes**                       |
| Generating your own website/app RTL equivalent CSS rules automatically by Quasar           | -       | **Yes**    | **Yes**                       |
| Ensure everything "simply works" out of the box, using latest and greatest Quasar specs.   | -       | **Yes**    | -                             |
| Tight integration between build modes, taking full advantage of all Quasar's capabilities. | -       | **Yes**    | -                             |
| Develop mobile apps with HMR directly on your phone.                                       | -       | **Yes**    | Yes*                     |
| One codebase to rule SPA, PWA, SSR, Mobile Apps, Electron Apps                             | -       | **Yes**    | Yes*                     |
| Tree Shaking                                                                               | -       | **Yes**    | **Yes**                       |
| SFC (Single File Component - for Vue)                                                      | -       | **Yes**    | **Yes**                       |
| Advanced configuration through dynamic quasar.conf.js                                      | -       | **Yes**    | -                             |
| Unit & end to end testing                                                                  | -       | **Yes**    | **Yes**                       |

> \* Cross-platform support with Vue CLI 3 is handled by community plugins. These are not tightly integrated with Quasar as with Quasar CLI and may have issues.
