---
title: Breadcrumbs
---

The QBreadcrumbs component is used as a navigational aid in UI. It allows users to keep track of their location within programs, documents, or websites. Most common use is it's in a [QToolbar](/vue-components/toolbar), but it's not limited to it.

## Installation
<doc-installation :components="['QBreadcrumbs', 'QBreadcrumbsEl']" />

## Usage
<doc-example title="Basic" file="QBreadcrumbs/Basic" />

<doc-example title="In a QToolbar" file="QBreadcrumbs/Toolbar" />

<doc-example title="Custom separators" file="QBreadcrumbs/Separator" />

The example below won't work with UMD version (so in Codepen/jsFiddle too) because it depends on Vue Router.

<doc-example title="Router links" file="QBreadcrumbs/RouterLinks" />

<doc-example title="Gutters" file="QBreadcrumbs/Gutters" />

<doc-example title="Align" file="QBreadcrumbs/Align" />

## QBreadcrumbs API
<doc-api file="QBreadcrumbs" />

## QBreadcrumbsEl API
<doc-api file="QBreadcrumbsEl" />
