---
title: Pagination
---
The QPagination component is available for whenever a pagination system is required. It offers the user a simple UI for moving between items or pages.

There are two modes in which QPagination operates: with buttons only or with an inputbox. The latter allows the user to go to a specific page by clicking/tapping on the inputbox, typing the page number then hitting Enter key. If the new page number is within valid limits, the model will be changed accordingly.

## Installation
<doc-installation components="QPagination" />

## Usage
<doc-example title="Standard" file="QPagination/Standard" />

<doc-example title="With input" file="QPagination/Input" />

<doc-example title="Maximum pages shown" file="QPagination/MaxPages" />

<doc-example title="Removing ellipses" file="QPagination/Ellipses" />

<doc-example title="With boundary numbers" file="QPagination/BoundaryNumbers" />

<doc-example title="With boundary links" file="QPagination/BoundaryLinks" />

<doc-example title="With direction links" file="QPagination/DirectionLinks" />

## QPagination API
<doc-api file="QPagination" />
