---
title: Toolbar
related:
  - /layout/header-and-footer
  - /vue-components/icon
  - /vue-components/avatar
  - /vue-components/breadcrumbs
  - /vue-components/separator
---

QToolbar is a component usually part of Layout Header and Footer, but it can be used anywhere on the page.

## Installation
<doc-installation :components="['QToolbar', 'QToolbarTitle']" />

## Usage

<doc-example title="Basic" file="QToolbar/Basic" />

<doc-example title="With Avatar" file="QToolbar/Avatar" />

You can use the `glossy` class to make the toolbar glossy.

<doc-example title="Glossy" file="QToolbar/Glossy" />

<doc-example title="Grouped vertically" file="QToolbar/GroupedVertically" />

<doc-example title="Grouped horizontally" file="QToolbar/GroupedHorizontally" />

<doc-example title="With Tabs" file="QToolbar/WithTabs" />

<doc-example title="With Button Dropdown" file="QToolbar/WithDropdown" />

<doc-example title="With Button Toggle" file="QToolbar/WithBtnToggle" />

## QToolbar API
<doc-api file="QToolbar" />

## QToolbarTitle API
<doc-api file="QToolbarTitle" />
